# class Resolv::DNS::Resource::IN::ServiceBinding

Common implementation for SVCB-compatible resource records.

### Attributes

params [R]

The service parameters for the target host.

priority [R]

The priority of this target host.

The range is 0-65535. If set to 0, this RR is in AliasMode. Otherwise, it is in ServiceMode.

target [R]

The domain name of the target host.

### Public Class Methods

new (priority, target, params = [])
Source

    # File lib/resolv.rb, line 2823
    def initialize(priority, target, params = [])
      @priority = priority.to_int
      @target = Name.create(target)
      @params = SvcParams.new(params)
    end

Create a service binding resource record.

### Public Instance Methods

alias_mode? ()
Source

    # File lib/resolv.rb, line 2850
    def alias_mode?
      self.priority == 0
    end

Whether this RR is in AliasMode.

service_mode? ()
Source

    # File lib/resolv.rb, line 2857
    def service_mode?
      !alias_mode?
    end

Whether this RR is in ServiceMode.